Last Comment Bug 597030 - Add .il to IDN whitelist
: Add .il to IDN whitelist
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
: 592810 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-16 09:45 PDT by Gervase Markham [:gerv]
Modified: 2010-12-21 06:44 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.14-fixed
.17-fixed


Attachments
Patch v.1 (914 bytes, patch)
2010-10-25 05:53 PDT, Gervase Markham [:gerv]
mbeltzner: approval2.0+
dveditz: approval1.9.2.14+
dveditz: approval1.9.1.17+
Details | Diff | Review

Description Gervase Markham [:gerv] 2010-09-16 09:45:58 PDT
Dear Mozilla team,

ISOC-IL, the .IL registry, has launched a sunrise process for the registration of IDNs containing Hebrew characters:
http://www.isoc.org.il/domains/idn_eng/index.html

Following your instructions at:
http://www.mozilla.org/projects/security/tld-idn-policy-list.html

requested information follows:

Registry's homepage:
http://www.isoc.org.il/

IDN registration policy:
http://www.isoc.org.il/domains/il-domain-rules.html

List of permitted characters:
Section 4.3 to the policy.
No known homograph issues with the Hebrew alphabet.

We will appreciate our addition to the IDN-enabled TLDs.

Should any further assistance or information is required, please do not hesitate to contact me directly.

-- 

Benny Lipsicas | il Registry Administrator | Israel Internet Association (ISOC-IL) | Tel: +972-3-9700900 | Fax: +972-3-9700901
Comment 1 Gervase Markham [:gerv] 2010-09-20 06:39:04 PDT
I'm happy with the policy - the only Hebrew character which looks much like a Latin one is qoph, which looks like p, but in most fonts it doesn't. So I'm not worried about whole-script homographs.

So this is approved.

Gerv
Comment 2 Gervase Markham [:gerv] 2010-10-25 05:53:11 PDT
Created attachment 485711 [details] [diff] [review]
Patch v.1

Here is a patch to implement this policy update. Requesting approval.

Gerv
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2010-10-25 06:13:44 PDT
Comment on attachment 485711 [details] [diff] [review]
Patch v.1

a=beltzner
Comment 4 Gervase Markham [:gerv] 2010-10-25 07:13:19 PDT
Checked in on trunk.
http://hg.mozilla.org/mozilla-central/rev/854b6fb7e04c

Gerv
Comment 5 Gervase Markham [:gerv] 2010-12-09 14:13:29 PST
Comment on attachment 485711 [details] [diff] [review]
Patch v.1

Requesting branch approval.

Gerv
Comment 6 Daniel Veditz [:dveditz] 2010-12-10 10:21:19 PST
Comment on attachment 485711 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.14 and 1.9.1.17, a=dveditz for release-drivers
Comment 8 Tomer Cohen :tomer 2010-12-21 06:44:49 PST
*** Bug 592810 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.